Loading...
Searching...
No Matches
mbedtls_x509_crl Struct Reference
X.509 module

`#include <x509_crl.h>`

Collaboration diagram for mbedtls_x509_crl:
[legend]

## Data Fields

mbedtls_x509_buf | raw
mbedtls_x509_buf | tbs
int | version
mbedtls_x509_buf | sig_oid
mbedtls_x509_buf | issuer_raw
mbedtls_x509_name | issuer
mbedtls_x509_time | this_update
mbedtls_x509_time | next_update
mbedtls_x509_crl_entry | entry
mbedtls_x509_buf | crl_ext
mbedtls_x509_buf | private_sig_oid2
mbedtls_x509_buf | private_sig
mbedtls_md_type_t | private_sig_md
mbedtls_pk_type_t | private_sig_pk
void * | private_sig_opts
struct mbedtls_x509_crl * | next

## Detailed Description

Certificate revocation list structure. Every CRL may have multiple entries.

Definition at line 64 of file x509_crl.h.

## Field Documentation

## crl_ext

mbedtls_x509_buf mbedtls_x509_crl::crl_ext

Definition at line 80 of file x509_crl.h.

## entry

mbedtls_x509_crl_entry mbedtls_x509_crl::entry

The CRL entries containing the certificate revocation times for this CA.

Definition at line 78 of file x509_crl.h.

## issuer

mbedtls_x509_name mbedtls_x509_crl::issuer

The parsed issuer data (named information object).

Definition at line 73 of file x509_crl.h.

## issuer_raw

mbedtls_x509_buf mbedtls_x509_crl::issuer_raw

The raw issuer data (DER).

Definition at line 71 of file x509_crl.h.

## next

struct mbedtls_x509_crl* mbedtls_x509_crl::next

Next element in the linked list of CRL. `NULL` indicates the end of the list. Do not modify this field directly.

Definition at line 91 of file x509_crl.h.

## next_update

mbedtls_x509_time mbedtls_x509_crl::next_update

Definition at line 76 of file x509_crl.h.

## private_sig

mbedtls_x509_buf mbedtls_x509_crl::private_sig

Definition at line 83 of file x509_crl.h.

## private_sig_md

mbedtls_md_type_t mbedtls_x509_crl::private_sig_md

Internal representation of the MD algorithm of the signature algorithm, e.g. MBEDTLS_MD_SHA256

Definition at line 84 of file x509_crl.h.

## private_sig_oid2

mbedtls_x509_buf mbedtls_x509_crl::private_sig_oid2

Definition at line 82 of file x509_crl.h.

## private_sig_opts

void* mbedtls_x509_crl::private_sig_opts

Signature options to be passed to mbedtls_pk_verify_ext(), e.g. for RSASSA-PSS

Definition at line 86 of file x509_crl.h.

## private_sig_pk

mbedtls_pk_type_t mbedtls_x509_crl::private_sig_pk

Internal representation of the Public Key algorithm of the signature algorithm, e.g. MBEDTLS_PK_RSA

Definition at line 85 of file x509_crl.h.

## raw

mbedtls_x509_buf mbedtls_x509_crl::raw

The raw certificate data (DER).

Definition at line 65 of file x509_crl.h.

## sig_oid

mbedtls_x509_buf mbedtls_x509_crl::sig_oid

CRL signature type identifier

Definition at line 69 of file x509_crl.h.

## tbs

mbedtls_x509_buf mbedtls_x509_crl::tbs

The raw certificate body (DER). The part that is To Be Signed.

Definition at line 66 of file x509_crl.h.

## this_update

mbedtls_x509_time mbedtls_x509_crl::this_update

Definition at line 75 of file x509_crl.h.

## version

int mbedtls_x509_crl::version

CRL version (1=v1, 2=v2)

Definition at line 68 of file x509_crl.h.

The documentation for this struct was generated from the following file:

- x509_crl.h